FileForms
Orders

Create Order

POST
/orders

Order formation, annual report, and registered agent services.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orders" \  -H "Content-Type: application/json" \  -d '{    "userId": "user_a1b2c3d4e5f6g7h8",    "filingState": "TX",    "formation": {      "expedited": false,      "company": {        "legalName": "Acme Holdings LLC",        "entityType": "LLC",        "structureType": "MEMBER",        "principalAddress": {          "line1": "123 Main Street",          "line2": "Suite 100",          "city": "Houston",          "state": "TX",          "postalCode": "77002",          "country": "US"        },        "mailingAddress": {          "line1": "123 Main Street",          "line2": "Suite 100",          "city": "Houston",          "state": "TX",          "postalCode": "77002",          "country": "US"        },        "officers": [          {            "type": "PERSON",            "firstName": "Jane",            "lastName": "Doe",            "title": "Managing Member",            "isPrimary": true,            "address": {              "line1": "123 Main Street",              "line2": "Suite 100",              "city": "Houston",              "state": "TX",              "postalCode": "77002",              "country": "US"            }          }        ]      }    },    "ein": {      "businessCategory": "Consulting",      "businessPurpose": "Management consulting services",      "applicationReason": "Started a new business",      "vehicle55kPounds": false,      "gamblingWagering": false,      "fileForm720": false,      "alcoholTobaccoFirearms": false,      "isW2Expected": true,      "agricultureEmployeesCount": 0,      "otherEmployeesCount": 3,      "firstWagesDate": "2026-09-01",      "fileForm944": false,      "responsiblePartyFirstName": "Jane",      "responsiblePartyLastName": "Doe",      "responsiblePartyTitle": "Managing Member",      "responsiblePartySsn": "123456789",      "responsiblePartyPhoneNumber": "7135550123"    },    "registeredAgent": {      "isChangeOfAgent": false    }  }'
{  "companyId": "string",  "items": [    {      "orderType": "formation",      "orderId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "filingDate": "2019-08-24T14:15:22Z",      "filingStatus": "submitted",      "subscriptionStatus": null    }  ]}